#include <stdio.h>
#include <stdlib.h>
int main()
{
    char c1,c2;
    int a1,a2,i;
    printf("Unesite Perino i Petrino slovo\n");
    c1=getchar();
    c2=getchar();
    printf("Unesite broj Perinih i Petrinih slova\n");
    scanf("%d%d",&a1,&a2);
    if(a1==a2)
    {
        for(i=0; i<a1; i++)
            printf("%c%c",c1,c2);
    }
    else if(a1==a2+1)
    {
        for(i=0; i<a2; i++)
        {
            printf("%c%c",c1,c2);
        }
        printf("%c",c1);
    }
    else if(a2==a1+1)
    {
        for(i=0; i<a1; i++)
        {
            printf("%c%c",c2,c1);
        }
        printf("%c",c2);
    }
    else
        printf("nemoguce");
    return 0;
}